#!/usr/bin/env python3
import sys
import random   

n = int(sys.argv[1])
q = int(sys.argv[2])
maxa = int(sys.argv[3])
maxk = int(sys.argv[4])
seed = int(sys.argv[5])
random.seed(seed)

a = []

print(n, q)

k = random.randint(3, 50)*2 + 1
t = random.randint(3, maxa // 100) 
if t % 2 == 0:
    t += 1
    
a.append(t*k)
for _ in range(n - 1):
    a.append(1)

print(*a)

for _ in range(q):
    print(k)
